Pkgcheck Warnings

  • All Versions
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (348 total) failed REQUIRED_USE: ( aqua || wayland || X )
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-JSON-PP'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Data-Dumper'
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (348 total) failed REQUIRED_USE: ( aqua || wayland || X )
    • PotentialStable
      slot(4), stabled arches: [ amd64, arm, arm64, ppc, ppc64, x86 ], potential: [ ~sparc ]
    • UnstableOnly
      for arch: [ sparc ], all versions are unstable: [ 2.44.1, 2.44.1-r410, 2.44.1-r600 ]
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Carp'
    • PotentialStable
      slot(6), stabled arches: [ amd64, arm, arm64, ppc, ppc64, x86 ], potential: [ ~sparc ]
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Data-Dumper'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-JSON-PP'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Carp'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Data-Dumper'
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (348 total) failed REQUIRED_USE: ( aqua || wayland || X )
    • PotentialStable
      slot(4.1), stabled arches: [ amd64, arm, arm64, ppc, ppc64, x86 ], potential: [ ~sparc ]
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-JSON-PP'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Carp'
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 34, 35, 36
  • 2.44.1-r600
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (348 total) failed REQUIRED_USE: ( aqua || wayland || X )
    • PotentialStable
      slot(6), stabled arches: [ amd64, arm, arm64, ppc, ppc64, x86 ], potential: [ ~sparc ]
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Data-Dumper'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Carp'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-JSON-PP'
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 34, 35, 36
  • 2.44.1-r410
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-JSON-PP'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Data-Dumper'
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (348 total) failed REQUIRED_USE: ( aqua || wayland || X )
    • PotentialStable
      slot(4.1), stabled arches: [ amd64, arm, arm64, ppc, ppc64, x86 ], potential: [ ~sparc ]
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Carp'
  • 2.44.1
    • PotentialStable
      slot(4), stabled arches: [ amd64, arm, arm64, ppc, ppc64, x86 ], potential: [ ~sparc ]
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Carp'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-JSON-PP'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Data-Dumper'
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (348 total) failed REQUIRED_USE: ( aqua || wayland || X )

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.